unit UnitOptionsFolderSizes;

// The contents of this file are subject to the Mozilla Public License
// Version 1.1 (the "License"); you maynot use this file except in compliance
// with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
// Alternatively, you may redistribute this library, use and/or modify it under the terms of the
// GNU Lesser General Public License as published by the Free Software Foundation;
// either version 2.1 of the License, or (at your option) any later version.
// You may obtain a copy of the LGPL at http://www.gnu.org/copyleft/.
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
// specific language governing rights and limitations under the License.

interface

uses
  Windows,
  Messages,
  SysUtils,
  Variants,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  TntForms,
  SpTBXControls,
  SpTBXDkPanels,
  UnitOptionsBase,
  DKLang, SpTBXItem;

type
  TTntFormOptionsFolderSizes = class(TTntOptionsBaseForm)
    SpTBXPanel1: TSpTBXPanel;
    SpTBXCheckBoxFolderSizeShowColumn: TSpTBXCheckBox;
    SpTBXRadioGroupFolderSizeDisplayLayout: TSpTBXRadioGroup;
    DKLanguageController1: TDKLanguageController;
    procedure IsDirtyClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

procedure TTntFormOptionsFolderSizes.IsDirtyClick(
  Sender: TObject);
begin
  Dirty(True)
end;

procedure TTntFormOptionsFolderSizes.FormShow(Sender: TObject);
begin
  ClientWidth := SpTBXPanel1.Width;
  ClientHeight := SpTBXPanel1.Height;
end;

end.
